com.trendmicro.ds.integrity.rest.object

## Enum Event.IntegrityRuleSeverity

- java.lang.Object
- - java.lang.Enum<Event.IntegrityRuleSeverity>
  - - com.trendmicro.ds.integrity.rest.object.Event.IntegrityRuleSeverity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Event.IntegrityRuleSeverity>
  Enclosing class:
    Event

      public static enum Event.IntegrityRuleSeverity
      extends java.lang.Enum<Event.IntegrityRuleSeverity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL`
    `DEFAULT`
    `HIGH`
    `LOW`
    `MEDIUM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.IntegrityRuleSeverity` | `forValue(java.lang.Integer severity)`
    `static Event.IntegrityRuleSeverity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Event.IntegrityRuleSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CRITICAL

          public static final Event.IntegrityRuleSeverity CRITICAL

    - #### HIGH

          public static final Event.IntegrityRuleSeverity HIGH

    - #### MEDIUM

          public static final Event.IntegrityRuleSeverity MEDIUM

    - #### LOW

          public static final Event.IntegrityRuleSeverity LOW

    - #### DEFAULT

          public static final Event.IntegrityRuleSeverity DEFAULT

  - ### Method Detail

    - #### values

          public static Event.IntegrityRuleSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.IntegrityRuleSeverity c : Event.IntegrityRuleSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.IntegrityRuleSeverity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forValue

          public static Event.IntegrityRuleSeverity forValue(java.lang.Integer severity)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.